<?php
/**
 * aLinks Clickbank Keyphrase Module
 *
 * Turns keyphrases into links for Clickbank products.
 *
 * @author	Sean Hickey <seanhickey@gmail.com>
 * @license	GPL
 * @version	$Id: mod.php 70 2006-05-13 18:54:37Z musicfor $
 */
class EbayBasicKeyphrases extends aLinksKeyphrases {
	
	var $name = 'ebay_basic';
	var $requiredOptions = array('pid');
	var $requiredDefines = array('searchterm');
	
	function doPhrase($postObj, $keyphrase, $description, $defines) {
		return "<a href=\"http://www.qksrv.net/click-{$this->options['pid']}-5463217?loc=http%3A//search.ebay.com/search/search.dll%3Fcgiurl%3Dhttp%253A%252F%252Fcgi.ebay.com%252Fws%252F%26krd%3D1%26from%3DR8%26MfcISAPICommand%3DGetResult%26ht%3D1%26SortProperty%3DMetaEndSort%26query%3D" . urlencode($defines['searchterm']) . "\" {$this->extraHTML} title=\"$description\" rel=\"external\">$keyphrase</a>";
	}
}

?>